Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -6464,22 +6474,22 @@
 	 * @param	integer		"Destination pid" : If the value is >= 0 it's just returned directly (through intval() though) but if the value is <0 then the method looks up the record with the uid equal to abs($pid) (positive number) and returns the PID of that record! The idea is that negative numbers point to the record AFTER WHICH the position is supposed to be!
 	 * @return	integer
 	 */
-	function resolvePid($table,$pid)	{
+	function resolvePid($table, $pid) {
 		global $TCA;
 		$pid = intval($pid);
-		if ($pid < 0)	{
+		if ($pid < 0) {
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid', $table, 'uid='.abs($pid));
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid', $table, 'uid=' . abs($pid));
 			$row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 
 				// Look, if the record UID happens to be an offline record. If so, find its live version. Offline uids will be used when a page is versionized as "branch" so this is when we must correct - otherwise a pid of "-1" and a wrong sort-row number is returned which we don't want.
-			if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table,abs($pid),'pid'))	{
+			if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table, abs($pid), 'pid')) {
 				$row = $lookForLiveVersion;
 			}
 
 			$pid = intval($row['pid']);
-		} elseif ($this->BE_USER->workspace!==0 && $TCA[$table]['ctrl']['versioning_followPages']) { // PID points to page, the workspace is an offline space and the table follows page during versioning: This means we must check if the PID page has a version in the workspace with swapmode set to 0 (zero = page+content) and if so, change the pid to the uid of that version.
+		} elseif ($this->BE_USER->workspace !== 0 && $TCA[$table]['ctrl']['versioning_followPages']) { // PID points to page, the workspace is an offline space and the table follows page during versioning: This means we must check if the PID page has a version in the workspace with swapmode set to 0 (zero = page+content) and if so, change the pid to the uid of that version.
-			if ($WSdestPage = t3lib_BEfunc::getWorkspaceVersionOfRecord($this->BE_USER->workspace, 'pages', $pid, 'uid,t3ver_swapmode'))	{	// Looks for workspace version of page.
+			if ($WSdestPage = t3lib_BEfunc::getWorkspaceVersionOfRecord($this->BE_USER->workspace, 'pages', $pid, 'uid,t3ver_swapmode')) { // Looks for workspace version of page.
-				if ($WSdestPage['t3ver_swapmode']==0)	{	// if swapmode is zero, then change pid value.
+				if ($WSdestPage['t3ver_swapmode'] == 0) { // if swapmode is zero, then change pid value.
 					$pid = $WSdestPage['uid'];
 				}
 			}
@@ -6494,10 +6504,10 @@
 	 * @param	string		The value to fix
 	 * @return	string		Clean name
 	 */
-	function clearPrefixFromValue($table,$value)	{
+	function clearPrefixFromValue($table, $value) {
 		global $TCA;
-		$regex = '/'.sprintf(quotemeta($this->prependLabel($table)),'[0-9]*').'$/';
+		$regex = '/' . sprintf(quotemeta($this->prependLabel($table)), '[0-9]*') . '$/';
-		return @preg_replace($regex,'',$value);
+		return @preg_replace($regex, '', $value);
 	}
 
 	/**
@@ -6509,22 +6519,22 @@
 	 * @param	string		Function, eg. "deleteAll" which will delete all files listed.
 	 * @return	void
 	 */
-	function extFileFunctions($table,$field,$filelist,$func)	{
+	function extFileFunctions($table, $field, $filelist, $func) {
 		global $TCA;
 		t3lib_div::loadTCA($table);
 		$uploadFolder = $TCA[$table]['columns'][$field]['config']['uploadfolder'];
 		if ($uploadFolder && trim($filelist) && $TCA[$table]['columns'][$field]['config']['internal_type'] == 'file') {
 			$uploadPath = $this->destPathFromUploadFolder($uploadFolder);
-			$fileArray = explode(',',$filelist);
+			$fileArray = explode(',', $filelist);
 			foreach ($fileArray as $theFile) {
-				$theFile=trim($theFile);
+				$theFile = trim($theFile);
-				if ($theFile)	{
+				if ($theFile) {
-					switch($func)	{
+					switch ($func) {
 						case 'deleteAll':
-							if (@is_file($uploadPath.'/'.$theFile))	{
+							if (@is_file($uploadPath . '/' . $theFile)) {
-								unlink ($uploadPath.'/'.$theFile);
+								unlink($uploadPath . '/' . $theFile);
 							} else {
-								$this->log($table,0,3,0,100,"Delete: Referenced file that was supposed to be deleted together with it's record didn't exist");
+								$this->log($table, 0, 3, 0, 100, "Delete: Referenced file that was supposed to be deleted together with it's record didn't exist");
 							}
 						break;
 					}
@@ -6539,9 +6549,9 @@
 	 * @param	string		List of page integers
 	 * @return	boolean		Return true, if permission granted
 	 */
-	function noRecordsFromUnallowedTables($inList)	{
+	function noRecordsFromUnallowedTables($inList) {
 		$inList = trim($this->rmComma(trim($inList)));
-		if ($inList && !$this->admin)	{
+		if ($inList && !$this->admin) {
 			foreach (array_keys($GLOBALS['TCA']) as $table) {
 				$count = $GLOBALS['TYPO3_DB']->exec_SELECTcountRows(
 					'uid',
@@ -6567,25 +6577,15 @@
 	function isRecordCopied($table, $uid) {
 			// If the record was copied:
 		if (isset($this->copyMappingArray[$table][$uid])) {
-			return true;
+			return TRUE;
 			// If the record is the result of a copy action:
 		} elseif (isset($this->copyMappingArray[$table]) && in_array($uid, array_values($this->copyMappingArray[$table]))) {
-			return true;
+			return TRUE;
 		}
-		return false;
+		return FALSE;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
 	/******************************
 	 *
 	 * Clearing cache
@@ -6601,37 +6601,37 @@
 	 * @param	integer		UID of updated / inserted record
 	 * @return	void
 	 */
-	function clear_cache($table,$uid) {
+	function clear_cache($table, $uid) {
 		global $TCA, $TYPO3_CONF_VARS;
 
 		$uid = intval($uid);
 		$pageUid = 0;
-		if (is_array($TCA[$table]) && $uid > 0)	{
+		if (is_array($TCA[$table]) && $uid > 0) {
 
 				// Get Page TSconfig relavant:
-			list($tscPID) = t3lib_BEfunc::getTSCpid($table,$uid,'');
+			list($tscPID) = t3lib_BEfunc::getTSCpid($table, $uid, '');
 			$TSConfig = $this->getTCEMAIN_TSconfig($tscPID);
 
-			if (!$TSConfig['clearCache_disable'])	{
+			if (!$TSConfig['clearCache_disable']) {
 
 					// If table is "pages":
-				if (t3lib_extMgm::isLoaded('cms'))	{
+				if (t3lib_extMgm::isLoaded('cms')) {
 					$list_cache = array();
 
-					if ($table === 'pages' || $table === 'pages_language_overlay')	{
+					if ($table === 'pages' || $table === 'pages_language_overlay') {
 
-						if($table === 'pages_language_overlay') {
+						if ($table === 'pages_language_overlay') {
-							$pageUid = $this->getPID($table,$uid);
+							$pageUid = $this->getPID($table, $uid);
 						} else {
 							$pageUid = $uid;
 						}
 
 							// Builds list of pages on the SAME level as this page (siblings)
 						$res_tmp = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-										'A.pid AS pid, B.uid AS uid',
-										'pages A, pages B',
+							'A.pid AS pid, B.uid AS uid',
+							'pages A, pages B',
-										'A.uid='.intval($pageUid).' AND B.pid=A.pid AND B.deleted=0'
+							'A.uid=' . intval($pageUid) . ' AND B.pid=A.pid AND B.deleted=0'
-									);
+						);
 
 						$pid_tmp = 0;
 						while ($row_tmp = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp)) {
@@ -6639,13 +6639,13 @@
 							$pid_tmp = $row_tmp['pid'];
 
 								// Add children as well:
-							if ($TSConfig['clearCache_pageSiblingChildren'])	{
+							if ($TSConfig['clearCache_pageSiblingChildren']) {
 								$res_tmp2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-												'uid',
-												'pages',
+									'uid',
+									'pages',
-												'pid='.intval($row_tmp['uid']).' AND deleted=0'
+									'pid=' . intval($row_tmp['uid']) . ' AND deleted=0'
-											);
+								);
-								while ($row_tmp2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp2))	{
+								while ($row_tmp2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp2)) {
 									$list_cache[] = $row_tmp2['uid'];
 								}
 								$GLOBALS['TYPO3_DB']->sql_free_result($res_tmp2);
@@ -6657,31 +6657,31 @@
 						$list_cache[] = $pid_tmp;
 
 							// Add grand-parent as well:
-						if ($TSConfig['clearCache_pageGrandParent'])	{
+						if ($TSConfig['clearCache_pageGrandParent']) {
 							$res_tmp = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-											'pid',
-											'pages',
+								'pid',
+								'pages',
-											'uid='.intval($pid_tmp)
+								'uid=' . intval($pid_tmp)
-										);
+							);
-							if ($row_tmp = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp))	{
+							if ($row_tmp = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp)) {
 								$list_cache[] = $row_tmp['pid'];
 							}
 						}
-					} else {	// For other tables than "pages", delete cache for the records "parent page".
+					} else { // For other tables than "pages", delete cache for the records "parent page".
-						$list_cache[] = $pageUid = intval($this->getPID($table,$uid));
+						$list_cache[] = $pageUid = intval($this->getPID($table, $uid));
 					}
 
 						// Call pre-processing function for clearing of cache for page ids:
-					if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval']))	{
+					if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'])) {
-						foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'] as $funcName)	{
+						foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'] as $funcName) {
 							$_params = array('pageIdArray' => &$list_cache, 'table' => $table, 'uid' => $uid, 'functionID' => 'clear_cache()');
 								// Returns the array of ids to clear, false if nothing should be cleared! Never an empty array!
-							t3lib_div::callUserFunction($funcName,$_params,$this);
+							t3lib_div::callUserFunction($funcName, $_params, $this);
 						}
 					}
 
 						// Delete cache for selected pages:
-					if (is_array($list_cache))	{
+					if (is_array($list_cache)) {
 						if (TYPO3_UseCachingFramework) {
 							$pageCache = $GLOBALS['typo3CacheManager']->getCache(
 								'cache_pages'
@@ -6696,8 +6696,8 @@
 								$pageSectionCache->flushByTag('pageId_' . $pageId);
 							}
 						} else {
-							$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pages','page_id IN ('.implode(',',$GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)).')');
+							$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pages', 'page_id IN (' . implode(',', $GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)) . ')');
-							$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pagesection', 'page_id IN ('.implode(',',$GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)).')');
+							$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pagesection', 'page_id IN (' . implode(',', $GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)) . ')');
 
 						}
 					}
@@ -6705,19 +6705,19 @@
 			}
 
 				// Clear cache for pages entered in TSconfig:
-			if ($TSConfig['clearCacheCmd'])	{
+			if ($TSConfig['clearCacheCmd']) {
-				$Commands = t3lib_div::trimExplode(',',strtolower($TSConfig['clearCacheCmd']),1);
+				$Commands = t3lib_div::trimExplode(',', strtolower($TSConfig['clearCacheCmd']), 1);
 				$Commands = array_unique($Commands);
-				foreach($Commands as $cmdPart)	{
+				foreach ($Commands as $cmdPart) {
 					$this->clear_cacheCmd($cmdPart);
 				}
 			}
 
 				// Call post processing function for clear-cache:
-			if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc']))	{
+			if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'])) {
-				$_params = array('table' => $table,'uid' => $uid,'uid_page' => $pageUid,'TSConfig' => $TSConfig);
+				$_params = array('table' => $table, 'uid' => $uid, 'uid_page' => $pageUid, 'TSConfig' => $TSConfig);
-				foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'] as $_funcRef)	{
+				foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'] as $_funcRef) {
-					t3lib_div::callUserFunction($_funcRef,$_params,$this);
+					t3lib_div::callUserFunction($_funcRef, $_params, $this);
 				}
 			}
 		}
@@ -6744,13 +6744,13 @@
 	 * $cacheCmd='all':
 	 *
 	 * - cache_md5params:	Clearing this table would destroy all simulateStatic
-	 * 						URLs, simulates file name and RDCT redirects.
+	 *						 URLs, simulates file name and RDCT redirects.
 	 * - cache_imagesizes:	Clearing this table would cause a lot of unneeded
-	 * 						Imagemagick calls because the size informations have
+	 *						 Imagemagick calls because the size informations have
-	 * 						to be fetched again after clearing.
+	 *						 to be fetched again after clearing.
 	 * - cache_extensions:	Clearing this table would make the extension manager
-	 * 						unusable until a new extension list is fetched from
+	 *						 unusable until a new extension list is fetched from
-	 * 						the TER.
+	 *						 the TER.
 	 *
 	 * @param	string		the cache command, see above description
 	 * @return	void
@@ -6761,14 +6761,14 @@
 		$this->BE_USER->writelog(3, 1, 0, 0, 'User %s has cleared the cache (cacheCmd=%s)', array($this->BE_USER->user['username'], $cacheCmd));
 
 			// Clear cache for either ALL pages or ALL tables!
-		switch($cacheCmd)	{
+		switch ($cacheCmd) {
 			case 'pages':
-				if ($this->admin || $this->BE_USER->getTSConfigVal('options.clearCache.pages'))	{
+				if ($this->admin || $this->BE_USER->getTSConfigVal('options.clearCache.pages')) {
 					$this->internal_clearPageCache();
 				}
 			break;
 			case 'all':
-				if ($this->admin || $this->BE_USER->getTSConfigVal('options.clearCache.all'))	{
+				if ($this->admin || $this->BE_USER->getTSConfigVal('options.clearCache.all')) {
 
 						// Clear all caching framework caches if it is initialized:
 						// (it could be disabled by initialized by an extension)
@@ -6777,11 +6777,11 @@
 					}
 
 					if (TYPO3_UseCachingFramework) {
-						if (t3lib_extMgm::isLoaded('cms'))	{
+						if (t3lib_extMgm::isLoaded('cms')) {
 							$GLOBALS['TYPO3_DB']->exec_TRUNCATEquery('cache_treelist');
 						}
 					} else {
-						if (t3lib_extMgm::isLoaded('cms'))	{
+						if (t3lib_extMgm::isLoaded('cms')) {
 							$GLOBALS['TYPO3_DB']->exec_TRUNCATEquery('cache_treelist');
 							$GLOBALS['TYPO3_DB']->exec_TRUNCATEquery('cache_pagesection');
 						}
@@ -6790,9 +6790,9 @@
 					}
 
 						// Clearing additional cache tables:
-					if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables']))	{
+					if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables'])) {
-						foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables'] as $tableName)	{
+						foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables'] as $tableName) {
-							if (!preg_match('/[^[:alnum:]_]/',$tableName) && substr($tableName,-5)=='cache')	{
+							if (!preg_match('/[^[:alnum:]_]/', $tableName) && substr($tableName, -5) == 'cache') {
 								$GLOBALS['TYPO3_DB']->exec_TRUNCATEquery($tableName);
 							} else {
 								throw new RuntimeException(
@@ -6815,17 +6815,17 @@
 		}
 
 			// Clear cache for a page ID!
-		if (t3lib_div::testInt($cacheCmd))	{
+		if (t3lib_div::testInt($cacheCmd)) {
-			if (t3lib_extMgm::isLoaded('cms'))	{
+			if (t3lib_extMgm::isLoaded('cms')) {
 
 				$list_cache = array($cacheCmd);
 
 					// Call pre-processing function for clearing of cache for page ids:
-				if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval']))	{
+				if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'])) {
-					foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'] as $funcName)	{
+					foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearPageCacheEval'] as $funcName) {
 						$_params = array('pageIdArray' => &$list_cache, 'cacheCmd' => $cacheCmd, 'functionID' => 'clear_cacheCmd()');
 							// Returns the array of ids to clear, false if nothing should be cleared! Never an empty array!
-						t3lib_div::callUserFunction($funcName,$_params,$this);
+						t3lib_div::callUserFunction($funcName, $_params, $this);
 					}
 				}
 
@@ -6845,8 +6845,8 @@
 							$pageSectionCache->flushByTag('pageId_' . (int) $pageId);
 						}
 					} else {
-						$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pages','page_id IN ('.implode(',',$GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)).')');
+						$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pages', 'page_id IN (' . implode(',', $GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)) . ')');
-						$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pagesection', 'page_id IN ('.implode(',',$GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)).')');	// Originally, cache_pagesection was not cleared with cache_pages!
+						$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_pagesection', 'page_id IN (' . implode(',', $GLOBALS['TYPO3_DB']->cleanIntArray($list_cache)) . ')'); // Originally, cache_pagesection was not cleared with cache_pages!
 
 					}
 				}
@@ -6854,27 +6854,15 @@
 		}
 
 			// Call post processing function for clear-cache:
-		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'])) {
-			$_params = array('cacheCmd'=>$cacheCmd);
+			$_params = array('cacheCmd' => $cacheCmd);
-			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'] as $_funcRef)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc'] as $_funcRef) {
-				t3lib_div::callUserFunction($_funcRef,$_params,$this);
+				t3lib_div::callUserFunction($_funcRef, $_params, $this);
 			}
 		}
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
 	/*****************************
 	 *
 	 * Logging
@@ -6897,12 +6885,16 @@
 	 * @return	integer		Log entry UID
 	 * @see	class.t3lib_userauthgroup.php
 	 */
-	function log($table,$recuid,$action,$recpid,$error,$details,$details_nr=-1,$data=array(),$event_pid=-1,$NEWid='') {
+	function log($table, $recuid, $action, $recpid, $error, $details, $details_nr = -1, $data = array(), $event_pid = -1, $NEWid = '') {
-		if ($this->enableLogging)	{
+		if ($this->enableLogging) {
-			$type=1;	// Type value for tce_db.php
+			$type = 1; // Type value for tce_db.php
-			if (!$this->storeLogMessages)	{$details='';}
-			if ($error>0)	$this->errorLog[] = '['.$type.'.'.$action.'.'.$details_nr.']: '.$details;
+			if (!$this->storeLogMessages) {
+				$details = '';
+			}
+			if ($error > 0) {
+				$this->errorLog[] = '[' . $type . '.' . $action . '.' . $details_nr . ']: ' . $details;
+			}
-			return $this->BE_USER->writelog($type,$action,$error,$details_nr,$details,$data,$table,$recuid,$recpid,$event_pid,$NEWid);
+			return $this->BE_USER->writelog($type, $action, $error, $details_nr, $details, $data, $table, $recuid, $recpid, $event_pid, $NEWid);
 		}
 	}
 
@@ -6914,8 +6906,8 @@
 	 * @return	integer		Log entry UID
 	 * @see log()
 	 */
-	function newlog($message, $error=0)	{
+	function newlog($message, $error = 0) {
-		return $this->log('',0,0,0,$error,'[newlog()] '.$message,-1);
+		return $this->log('', 0, 0, 0, $error, '[newlog()] ' . $message, -1);
 	}
 
 	/**
@@ -6929,13 +6921,13 @@
 	 * @return	integer		Log entry UID
 	 * @see log()
 	 */
-	function newlog2($message,$table,$uid,$pid=FALSE,$error=0)	{
+	function newlog2($message, $table, $uid, $pid = FALSE, $error = 0) {
-		if ($pid===FALSE)	{
+		if ($pid === FALSE) {
 			$propArr = $this->getRecordProperties($table, $uid);
 			$pid = $propArr['pid'];
 		}
 
-		return $this->log($table,$uid,0,0,$error,$message,-1,array(),$this->eventPid($table,$uid,$pid));
+		return $this->log($table, $uid, 0, 0, $error, $message, -1, array(), $this->eventPid($table, $uid, $pid));
 	}
 
 	/**
@@ -6944,21 +6936,21 @@
 	 * @param	string		Redirect URL (for creating link in message)
 	 * @return	void		(Will exit on error)
 	 */
-	function printLogErrorMessages($redirect)	{
+	function printLogErrorMessages($redirect) {
 
 		$res_log = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-					'*',
-					'sys_log',
+			'*',
+			'sys_log',
-					'type=1 AND userid='.intval($this->BE_USER->user['uid']).' AND tstamp='.intval($GLOBALS['EXEC_TIME']).'	AND error!=0'
+			'type=1 AND userid=' . intval($this->BE_USER->user['uid']) . ' AND tstamp=' . intval($GLOBALS['EXEC_TIME']) . '	AND error!=0'
-				);
+		);
 		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_log)) {
 			$log_data = unserialize($row['log_data']);
 			$msg = $row['error'] . ': ' . sprintf($row['details'], $log_data[0], $log_data[1], $log_data[2], $log_data[3], $log_data[4]);
 			$flashMessage = t3lib_div::makeInstance('t3lib_FlashMessage',
-				$msg,
-				'',
-				t3lib_FlashMessage::ERROR,
-				TRUE
+													$msg,
+													'',
+													t3lib_FlashMessage::ERROR,
+													TRUE
 			);
 			t3lib_FlashMessageQueue::addMessage($flashMessage);
 		}
@@ -6982,12 +6974,12 @@
 				$GLOBALS['typo3CacheManager']->getCache('cache_pages')->flush();
 			}
 		} else {
-			if (t3lib_extMgm::isLoaded('cms'))	{
+			if (t3lib_extMgm::isLoaded('cms')) {
 				if ($GLOBALS['TYPO3_CONF_VARS']['FE']['pageCacheToExternalFiles']) {
-					$cacheDir = PATH_site.'typo3temp/cache_pages';
+					$cacheDir = PATH_site . 'typo3temp/cache_pages';
-					$retVal = t3lib_div::rmdir($cacheDir,true);
+					$retVal = t3lib_div::rmdir($cacheDir, TRUE);
 					if (!$retVal) {
-						t3lib_div::sysLog('Could not remove page cache files in "'.$cacheDir.'"','Core/t3lib_tcemain',2);
+						t3lib_div::sysLog('Could not remove page cache files in "' . $cacheDir . '"', 'Core/t3lib_tcemain', 2);
 					}
 				}
 				$GLOBALS['TYPO3_DB']->exec_TRUNCATEquery('cache_pages');
@@ -7006,7 +6998,7 @@
 	 * @return	array	Updated field array
 	 */
 	function insertUpdateDB_preprocessBasedOnFieldType($table, $fieldArray) {
-		global	$TCA;
+		global $TCA;
 
 		$result = $fieldArray;
 		foreach ($fieldArray as $field => $value) {
@@ -7017,7 +7009,7 @@
 							$result[$field] = count(t3lib_div::trimExplode(',', $value, TRUE));
 						}
 					}
-					break;
+				break;
 			}
 		}
 		return $result;
@@ -7073,8 +7065,7 @@
 }
 
 
-
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tcemain.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tcemain.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tcemain.php']);
 }
 
